#!/usr/bin/env bash

module load cwltool
module load cwlexec/latest
export PATH=$(pwd):$PATH
export LSB_DEFAULTQUEUE=short

cat > foo_input.yml <<EOF
files:
    - class: File
      path: data/file3.txt
    - class: File
      path: data/file4.txt
EOF

#cwltool outer.cwl foo_input.yml

mkdir -p outdir
cwlexec -X --outdir outdir --preserve-environment PATH outer.cwl foo_input.yml 1> stdout.txt 2> stderr.txt
mv outdir/* .
rm -rf outdir

cmp data/file3.txt file3.out
cmp data/file4.txt file4.out

